searchNodes=[{"doc":"Documentation for ExAwsConfigurator.","ref":"ExAwsConfigurator.html","title":"ExAwsConfigurator","type":"module"},{"doc":"Fetch queue configurations specific to the :ex_aws_configurator application.raises ExAwsConfigurator.NoResultsError if no configuration was found.ExampleExAwsConfigurator.get_queue(:queue_name) #=&gt; %Queue{region: us-east-1, ...} ExAwsConfigurator.get_queue(:not_exist) #=&gt; ** (ExAwsConfigurator.NoResultsError) the configuration for queue not_exist is not set","ref":"ExAwsConfigurator.html#get_queue/1","title":"ExAwsConfigurator.get_queue/1","type":"function"},{"doc":"Fetch topic configurations specific to the :ex_aws_configurator application.raises ExAwsConfigurator.NoResultsError if no configuration was found.ExampleExAwsConfigurator.get_topic(queue_name) #=&gt; %Topic{region: us-east-1, ...} ExAwsConfigurator.get_topic(:not_exist) #=&gt; ** (ExAwsConfigurator.NoResultsError) the configuration for topic not_exist is not set","ref":"ExAwsConfigurator.html#get_topic/1","title":"ExAwsConfigurator.get_topic/1","type":"function"},{"doc":"Create all topics, create all queue and all subscrition present into configurationWe recommended that use this only if you change some configuration, however you can add this method to trigger by CI ever deploy","ref":"ExAwsConfigurator.html#setup/0","title":"ExAwsConfigurator.setup/0","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html","title":"ExAwsConfigurator.Factory","type":"module"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#build/2","title":"ExAwsConfigurator.Factory.build/2","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#build_list/3","title":"ExAwsConfigurator.Factory.build_list/3","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#build_pair/2","title":"ExAwsConfigurator.Factory.build_pair/2","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#config_factory/0","title":"ExAwsConfigurator.Factory.config_factory/0","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#create/1","title":"ExAwsConfigurator.Factory.create/1","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#create/2","title":"ExAwsConfigurator.Factory.create/2","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#create_list/3","title":"ExAwsConfigurator.Factory.create_list/3","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#create_pair/2","title":"ExAwsConfigurator.Factory.create_pair/2","type":"function"},{"doc":"Raises a helpful error if no factory is defined.","ref":"ExAwsConfigurator.Factory.html#factory/1","title":"ExAwsConfigurator.Factory.factory/1","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#queue_config_factory/1","title":"ExAwsConfigurator.Factory.queue_config_factory/1","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#queue_factory/0","title":"ExAwsConfigurator.Factory.queue_factory/0","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#topic_config_factory/1","title":"ExAwsConfigurator.Factory.topic_config_factory/1","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Factory.html#topic_factory/0","title":"ExAwsConfigurator.Factory.topic_factory/0","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Queue.html","title":"ExAwsConfigurator.Queue","type":"module"},{"doc":"get queue arn","ref":"ExAwsConfigurator.Queue.html#arn/1","title":"ExAwsConfigurator.Queue.arn/1","type":"function"},{"doc":"get queue full name, its a composition of prefix + environment + queue.name","ref":"ExAwsConfigurator.Queue.html#full_name/1","title":"ExAwsConfigurator.Queue.full_name/1","type":"function"},{"doc":"get queue url","ref":"ExAwsConfigurator.Queue.html#url/1","title":"ExAwsConfigurator.Queue.url/1","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Queue.html#t:t/0","title":"ExAwsConfigurator.Queue.t/0","type":"type"},{"doc":"","ref":"ExAwsConfigurator.QueueAttributes.html","title":"ExAwsConfigurator.QueueAttributes","type":"module"},{"doc":"","ref":"ExAwsConfigurator.QueueAttributes.html#t:t/0","title":"ExAwsConfigurator.QueueAttributes.t/0","type":"type"},{"doc":"","ref":"ExAwsConfigurator.QueueOptions.html","title":"ExAwsConfigurator.QueueOptions","type":"module"},{"doc":"","ref":"ExAwsConfigurator.QueueOptions.html#t:queue_options/0","title":"ExAwsConfigurator.QueueOptions.queue_options/0","type":"type"},{"doc":"","ref":"ExAwsConfigurator.SNS.html","title":"ExAwsConfigurator.SNS","type":"module"},{"doc":"Create an sns topic, based on ex_aws_configurator configurationraises ExAwsConfigurator.NoResultsError if no configuration was found.for the example below, we will consider the following settings# config/config.exs config :ex_aws_configurator, ... topics: %{ an_topic: %{ region: &quot;us-east-1&quot;, prefix: &quot;topic_prefix&quot;, environment: &quot;environment&quot; } }ExamplesExAwsConfigurator.create_topic(:an_topic) #=&gt; {:ok, term()}will create a topic named prefix + environment + map_key, the result will be topic_prefix_environment_an_topic on region us-east-1the response term() will be the ExAws response without any modificationExAwsConfigurator.get_queue(:not_exist) #=&gt; ** (ExAwsConfigurator.NoResultsError) the configuration for queue not_exist is not set","ref":"ExAwsConfigurator.SNS.html#create_topic/1","title":"ExAwsConfigurator.SNS.create_topic/1","type":"function"},{"doc":"Publish an message to a topic based on clan configuration","ref":"ExAwsConfigurator.SNS.html#publish/2","title":"ExAwsConfigurator.SNS.publish/2","type":"function"},{"doc":"","ref":"ExAwsConfigurator.SQS.html","title":"ExAwsConfigurator.SQS","type":"module"},{"doc":"Create an sqs queue based on ex_aws_configurator configuration, that method do NOT subscribe on any topicraises ExAwsConfigurator.NoResultsError if no configuration was found.for the example below, we will consider the following settings# config/config.exs config :ex_aws_configurator, ... queues: %{ an_queue: %{ environment: &quot;environment&quot;, region: &quot;us-east-1&quot;, prefix: &quot;queue_prefix&quot;, topics: [:an_topic] } }, topics: %{ an_topic: %{ region: &quot;us-east-1&quot;, prefix: &quot;topic_prefix&quot;, environment: &quot;environment&quot; } }ExamplesExAwsConfigurator.create_queue(:queue_name) #=&gt; {:ok, term()}will create an queue named prefix + environment + map_key, the result will be queue_prefix_environment_an_queue on region us-east-1the response term() will be the ExAws response without any modificationExAwsConfigurator.get_queue(:not_exist) #=&gt; ** (ExAwsConfigurator.NoResultsError) the configuration for queue not_exist is not set","ref":"ExAwsConfigurator.SQS.html#create_queue/2","title":"ExAwsConfigurator.SQS.create_queue/2","type":"function"},{"doc":"Send message to a queue build the correct queue name based on queue configurationraises ExAwsConfigurator.NoResultsError if no configuration was found.for the example below, we will consider the following settings# config/config.exs config :ex_aws_configurator, ... queues: %{ an_queue: %{ environment: &quot;environment&quot;, region: &quot;us-east-1&quot;, prefix: &quot;queue_prefix&quot;, topics: [:an_topic] } }ExamplesExAwsConfigurator.send_message(:an_queue, &quot;message&quot;) #=&gt; {:ok, term()}will send a message to queue named queue_prefix_environment_an_queue on region us-east-1the response term() will be the ExAws response without any modificationExAwsConfigurator.send_message(:not_exist) #=&gt; ** (ExAwsConfigurator.NoResultsError) the configuration for queue not_exist is not setanother possible error is when configuration exists but queue is not created, in this case the response will be {:error, %{status_code: 404, ...}} returned by AWS responseExAwsConfigurator.send_message(:not_exist) #=&gt; {:error, term()}","ref":"ExAwsConfigurator.SQS.html#send_message/3","title":"ExAwsConfigurator.SQS.send_message/3","type":"function"},{"doc":"Subscribe an queue into an topic based on clan configuration","ref":"ExAwsConfigurator.SQS.html#subscribe/2","title":"ExAwsConfigurator.SQS.subscribe/2","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Topic.html","title":"ExAwsConfigurator.Topic","type":"module"},{"doc":"get topic arn","ref":"ExAwsConfigurator.Topic.html#arn/1","title":"ExAwsConfigurator.Topic.arn/1","type":"function"},{"doc":"get topic full name, its a composition of prefix + environment + topic.name","ref":"ExAwsConfigurator.Topic.html#full_name/1","title":"ExAwsConfigurator.Topic.full_name/1","type":"function"},{"doc":"","ref":"ExAwsConfigurator.Topic.html#t:t/0","title":"ExAwsConfigurator.Topic.t/0","type":"type"},{"doc":"","ref":"ExAwsConfigurator.NoResultsError.html","title":"ExAwsConfigurator.NoResultsError","type":"exception"}]